Missing constraint Bundle-RequiredExecutionEnvironment异常

zhanghioo 2015-05-12 03:49:27
我现在刚刚接触OSGI 出现了很多的困惑和疑问,自己编写了一个bundle,元素Bundle-RequiredExecutionEnvironment:1.8 (ps:电脑已经安装了JDK1.8)
我是windows在控制台执行的 首先是java -jar org.eclipse.osgixxxxx.jar 他会自动去加载在plugin里面的bundle然后我start我自动bundle 出现异常Missing constraint Bundle-RequiredExecutionEnvironment
我知道异常说的是bundle执行环境问题 我虽然换成1.6就OK了 但是想不明白的是 我是windows系统 安装了JDK1.8 相当于我电脑已经具备1.8JRE环境了 那为什么还会出现这个异常啊 忘达人能指点一二。。。
...全文
1083 3 打赏 收藏 转发到动态 举报
写回复
用AI写文章
3 条回复
切换为时间正序
请发表友善的回复…
发表回复
good8ma 2017-11-10
  • 打赏
  • 举报
回复
同问 老大
good8ma 2017-11-10
  • 打赏
  • 举报
回复
爪哇之路 2015-11-22
  • 打赏
  • 举报
回复
楼主搞定了么?我也遇到同样的问题哎,,

50,521

社区成员

发帖
与我相关
我的任务
社区描述
Java相关技术讨论
javaspring bootspring cloud 技术论坛(原bbs)
社区管理员
  • Java相关社区
  • 小虚竹
  • 谙忆
加入社区
  • 近7日
  • 近30日
  • 至今
社区公告
暂无公告

试试用AI创作助手写篇文章吧